#{extends 'border.html'/}
<div class="container-fluid">
	
	<!-- Toolbar -->
	<div class="row">
		<div class="col-md-12">
			<div class="toolbar">
				<a href="@{create()}" class="btn btn-primary btn-md"><i class="fa fa-plus"></i> &{'tambah.label'} &{'tahapan.label'}</a>
			</div>
		</div>
	</div>
	<!-- End Toolbar -->

	<div class="row">
		<div class="col-md-12">
			#{alert /}
			<div class="panel panel-default">
				<div class="panel-body" style="overflow-x: auto">
					<!-- Data Table -->
					<table class="table table-striped" id="tblTahapan2">
						<thead>
							<tr>
								<th>&{'nomor.label'}</th>
								<th>&{'nama_tahapan.label'}</th>
                                <th>&{'urutan_tahapan.label'}</th>
                                <th>&{'flagging.label'}</th>
								<th>&{'aksi.label'}</th>
							</tr>
						</thead>
					</table>
					<!-- End Data Table -->
				</div>
			</div>
		</div>
	</div>

	<!-- Modal -->
	<div class="modal fade" id="editModal" tabindex="-1" role="dialog"
		aria-labelledby="myModalLabel">
		<div class="modal-dialog" role="document">
			#{form @masterdata.TahapanCtr.editSubmit(), method:'POST'}
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal"
						aria-label="Close">
						<span aria-hidden="true">&times;</span>
					</button>
					<h4 class="modal-title" id="myModalLabel">&{'ubah.label'} &{'tahapan.label'}</h4>
				</div>
				<div class="modal-body">
					<div class="form-group">
						<label class="control-label">&{'nama_tahapan.label'}</label>
						<input id="nama_input" name="nama_tahapan" class="form-control" required/>
					</div>
                    <div class="form-group">
                        <label class="control-label">&{'urutan_tahapan.label'}</label>
                    <input class="form-control" name="urutan_tahapan" id="urutan_input" required />
                    </div>
					<input id="input_id" name="id_tahapan" type="hidden" />
				</div>
				<div class="modal-footer">
                	<button type="button" class="btn btn-default btn-md" data-dismiss="modal"><i class="fa fa-close"></i> &{'batal.label'}</button>
                	<button type="submit" class="btn btn-primary btn-md"><i class="fa fa-save"></i> &{'simpan.label'}</button>
                </div>
			</div>
			#{/form}
		</div>
	</div>

    <div class="modal fade" id="flaggingModal" tabindex="-1" role="dialog"
         aria-labelledby="myModalLabel">
        <div class="modal-dialog" role="document">
        #{form @masterdata.TahapanCtr.flaggingSubmit(), method:'POST'}
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"
                            aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                    <h4 class="modal-title" id="myModalLabel">&{'ubah.label'} &{'tahapan.label'}</h4>
                </div>
                <div class="modal-body">
                    <div class="form-group">
                        <label class="control-label">&{'nama_tahapan.label'}</label>
                        <input readonly id="nama_inputflag" name="nama_tahapanflag" class="form-control"/>
                    </div>
                    <div class="form-group">
                        <label class="control-label">&{'flagging.label'}</label>
                        <select class="form-control flagging" name="flagging">
                            <option value="tahapan_pendaftaran">Tahapan Pendaftaran</option>
                            <option value="tahapan_penjelasan">Tahapan Penjelasan</option>
                            <option value="tahapan_penawaran">Tahapan Penawaran</option>
                            <option value="tahapan_revisi">Tahapan Revisi</option>
                            <option value="tahapan_negosiasi">Tahapan Negosiasi</option>
                            <option value="-">Tanpa Flagging</option>
                        </select>
                    </div>
                    <input id="input_idflag" name="id_tahapanflag" type="hidden" />
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default btn-md" data-dismiss="modal"><i class="fa fa-close"></i> &{'batal.label'}</button>
                    <button type="submit" class="btn btn-primary btn-md"><i class="fa fa-save"></i> &{'simpan.label'}</button>
                </div>
            </div>
        #{/form}
        </div>
    </div>

</div>
#{set 'moreScripts'}
<script type="text/javascript">
	jQuery(document).ready(function($) {
        $('#urutan_input').bind('keyup paste', function(){
            var nilai = this.value.replace(/[^0-9]/g, '');
            if (nilai > 0){
                nilai = nilai;
            } else {
                nilai = "";
            }
            this.value = nilai;
        });
		$("#tblTahapan2").dataTable({
			ajax : {
				url : "@{DataTableCtr.cariTahapan()}",
				cache : true
			},
			order : [ [ 1, "asc" ] ],
			columns : [ {
				"searchable" : true, "className": "header-center",
					render: function(data, type, row, meta) {
						return meta.row + meta.settings._iDisplayStart + 1 + ".";
					}
			}, {
				"searchable" : true
			},  {
				"searchable" : false, "className": "header-center"
			},{
                "searchable" : false, "className": "header-center", "orderable": false,
                render: function(data, row) {
                    if (data !== null && data !== '' && typeof data !== 'undefined' ) {
                        return data.replace(/_/g, " ").toUpperCase();
                    } else {
                        return "-";
                    }
                }
            },{
                "searchable" : false, "className": "header-center", "orderable": false
            }
            ]
		});

		$("body").on("click", ".nama_tahapan", function() {
			var nama = $(this).html();
			var id = $(this).attr("tahapan_id");
            var urutan = $(this).attr("urutan_tahapan");
			$("#input_id").val(id);
			$("#nama_input").val(nama);
            $("#urutan_input").val(urutan);
			$("#editModal").modal();
		});
        $("body").on("click", ".flaggingBtn", function() {
            var namaalias = $(this).attr("nama_tahapan_alias");
            var idflag = $(this).attr("tahapan_idflag");
            var arrayFlag = $(this).attr("flag_array");
            var str_array = arrayFlag.split(',');
            var flags = $(this).attr("flag");
            for(var i = 0; i < str_array.length; i++) {
                if(str_array[i] === "tahapan_pendaftaran" && str_array[i] !== flags) {
                    $('.flagging option[value="tahapan_pendaftaran"]').hide();
                }
                else if(str_array[i] === "tahapan_penjelasan" && str_array[i] !== flags) {
                    $('.flagging option[value="tahapan_penjelasan"]').hide();
                }
                else if(str_array[i] === "tahapan_penawaran" && str_array[i] !== flags) {
                    $('.flagging option[value="tahapan_penawaran"]').hide();
                }
                else if(str_array[i] === "tahapan_revisi" && str_array[i] !== flags) {
                    $('.flagging option[value="tahapan_revisi"]').hide();
                }
                else if(str_array[i] === "tahapan_negosiasi" && str_array[i] !== flags) {
                    $('.flagging option[value="tahapan_negosiasi"]').hide();
                }
            }
            if (flags !== 'null' && flags !== '' && typeof flags !== 'undefined') {
                $('.flagging').val(flags).prop('selected', true);
            } else {
                $('.flagging').val("-").prop('selected', true);
            }
            $("#input_idflag").val(idflag);
            $("#nama_inputflag").val(namaalias);
            $("#flaggingModal").modal();
        });

	});
</script>
#{/set}
